make docker prune calls opportunistic (it is ok to skip if another prune command is running)
diff --git a/build-scripts/cassandra-deb-packaging.sh b/build-scripts/cassandra-deb-packaging.sh
index c62d6fa..90f1bbd 100755
--- a/build-scripts/cassandra-deb-packaging.sh
+++ b/build-scripts/cassandra-deb-packaging.sh
@@ -30,7 +30,7 @@
 [ -f "${cassandra_builds_dir}/docker/build-debs.sh" ] || { echo >&2 "docker/build-debs.sh must exist"; exit 1; }
 
 # remove any previous older built images
-docker image prune --all --force --filter label=org.cassandra.buildenv=buster --filter "until=4h"
+docker image prune --all --force --filter label=org.cassandra.buildenv=buster --filter "until=4h" || true
 
 pushd $cassandra_builds_dir
 
diff --git a/build-scripts/cassandra-rpm-packaging.sh b/build-scripts/cassandra-rpm-packaging.sh
index 27499dd..bcfd67b 100755
--- a/build-scripts/cassandra-rpm-packaging.sh
+++ b/build-scripts/cassandra-rpm-packaging.sh
@@ -30,7 +30,7 @@
 [ -f "${cassandra_builds_dir}/docker/build-rpms.sh" ] || { echo >&2 "docker/build-rpms.sh must exist"; exit 1; }
 
 # remove any previous older built images
-docker image prune --all --force --filter label=org.cassandra.buildenv=centos --filter "until=4h"
+docker image prune --all --force --filter label=org.cassandra.buildenv=centos --filter "until=4h" || true
 
 pushd $cassandra_builds_dir